<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button menu="drawerMenu"></ion-menu-button>
    </ion-buttons>
    <ion-title>products</ion-title>
    <ion-buttons slot="end">
      <ion-icon name="grid-outline" style="font-size: large;" (click)="show = !show" *ngIf="!show; else elseBlock"></ion-icon>    
      <ion-icon name="list-outline" style="font-size: large;" (click)="show = !show" *ngIf="show; else elseBlock"></ion-icon>    
    </ion-buttons>
  </ion-toolbar>
  
</ion-header>

<ion-content>
  <ion-grid>
    <ion-list *ngIf="!show; else elseBlock">
      <ion-item *ngFor="let product of products"  [routerLink]="['./', product.id]" >
        <ion-row >
          <ion-col size="auto">
            <ion-avatar>
              <ion-img [src]="product.foto"></ion-img>

            </ion-avatar>
          </ion-col>
          
          <ion-col size="auto" >
            <ion-label>{{product.merk}}</ion-label>
            <ion-label>{{product.harga}}</ion-label>
            <ion-label>{{product.stock}}</ion-label>
    
          </ion-col>
        </ion-row>
      </ion-item> 
    </ion-list>
    <ion-row *ngIf="show; else elseBlock">
      <ion-col size="6" *ngFor="let product of products" style="border: 1px solid #dddddd; margin-bottom: 5px;" [routerLink]="['./', product.id]">
        <ion-row>
          <ion-col size="12">
            <ion-img [src]="product.foto[0]"></ion-img>
          </ion-col>
          
          <ion-col size="auto">
            <ion-label>{{product.merk}}</ion-label>
            <br>
            <ion-label>{{product.harga}}</ion-label>
            <br>
            <ion-label>{{product.stock}}</ion-label>
    
          </ion-col>
        </ion-row>
        
      </ion-col>
      
    </ion-row>
    
    
  </ion-grid>
</ion-content>
